> ## Documentation Index
> Fetch the complete documentation index at: https://docs.middlewr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Current User

> Update your name; send an empty or null last name to clear it



## OpenAPI

````yaml openapi.json PATCH /api/users/me
openapi: 3.1.1
info:
  title: Middlewr API
  description: Short link management platform API
  version: 1.0.0
  contact:
    name: Middlewr
    email: hello@middlewr.com
    url: https://middlewr.com/contact
servers:
  - url: https://api.middlewr.com
security:
  - ApiKeyAuth: []
paths:
  /api/users/me:
    patch:
      tags:
        - Users
      operationId: users.update
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                first_name:
                  type: string
                  minLength: 1
                  maxLength: 100
                last_name:
                  anyOf:
                    - type: string
                      maxLength: 100
                    - type: 'null'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  user:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      external_id:
                        type: string
                      email:
                        type: string
                        format: email
                      email_verified_at:
                        anyOf:
                          - type: string
                            format: date-time
                            x-native-type: date
                          - type: 'null'
                      first_name:
                        anyOf:
                          - type: string
                          - type: 'null'
                      last_name:
                        anyOf:
                          - type: string
                          - type: 'null'
                      platform_role:
                        enum:
                          - user
                          - admin
                        type: string
                      is_suspended:
                        type: boolean
                      created_at:
                        type: string
                        format: date-time
                        x-native-type: date
                      updated_at:
                        anyOf:
                          - type: string
                            format: date-time
                            x-native-type: date
                          - type: 'null'
                    required:
                      - id
                      - external_id
                      - email
                      - email_verified_at
                      - first_name
                      - last_name
                      - platform_role
                      - is_suspended
                      - created_at
                      - updated_at
                required:
                  - user
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: A user or workspace API key, created in the dashboard settings.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.